import { OnInit } from '@angular/core';
import { CountryCode } from 'libphonenumber-js/types';
import { AvatarSize } from '../avatar.component';
import * as i0 from "@angular/core";
export declare class AvatarCountryComponent implements OnInit {
    assetsPath: string;
    size: AvatarSize;
    code: string | CountryCode;
    constructor(assetsPath: string);
    ngOnInit(): void;
    get width(): 20 | 40 | 80;
    get height(): 20 | 40 | 80;
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarCountryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AvatarCountryComponent, "ui-avatar-country", never, { "size": "size"; "code": "code"; }, {}, never, never>;
}
